> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.saturnos.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.saturnos.com/_mcp/server.

# Get Meeting Artifacts

GET https://<provided-by-saturn>/partner/meeting_notes/{saturn_ref_id}/artifacts

Reference: https://developer.saturnos.com/partner/meeting-notes/get-meeting-artifacts

## Authentication

- `Authorization` header (required) — API Key authentication via header

## Request

### Path parameters

- `saturn_ref_id` (string, required)

## Response

### 200

OK

- `data` (PartnerMeetingNotesSaturnRefIdArtifactsGetResponsesContentApplicationJsonSchemaData, required)
- `error` (PartnerMeetingNotesSaturnRefIdArtifactsGetResponsesContentApplicationJsonSchemaError, required)
- `success` (boolean, required)

## Types

### PartnerMeetingNotesSaturnRefIdArtifactsGetResponsesContentApplicationJsonSchemaData

- `file_url` (string, required)
- `saturn_ref_id` (string, required)
- `transcript_url` (string, required)

### PartnerMeetingNotesSaturnRefIdArtifactsGetResponsesContentApplicationJsonSchemaError

- `message` (string, required)

## Examples

**Response**

```json
{
  "data": {
    "file_url": "https://shuttle.saturn.example/files?t=<token>",
    "saturn_ref_id": "6ffa41cd-777d-4a65-88e7-7787fb1ec7da",
    "transcript_url": "https://shuttle.saturn.example/files?t=<token>"
  },
  "error": {
    "message": ""
  },
  "success": true
}
```

**SDK Code**

```python Meeting notes_Get Meeting Artifacts_example
import requests

url = "https://api.example.com/partner/meeting_notes/:saturn_ref_id/artifacts"

headers = {"Authorization": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Meeting notes_Get Meeting Artifacts_example
const url = 'https://api.example.com/partner/meeting_notes/:saturn_ref_id/artifacts';
const options = {method: 'GET', headers: {Authorization: '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Meeting notes_Get Meeting Artifacts_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.example.com/partner/meeting_notes/:saturn_ref_id/artifacts"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Meeting notes_Get Meeting Artifacts_example
require 'uri'
require 'net/http'

url = URI("https://api.example.com/partner/meeting_notes/:saturn_ref_id/artifacts")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Meeting notes_Get Meeting Artifacts_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.example.com/partner/meeting_notes/:saturn_ref_id/artifacts")
  .header("Authorization", "<apiKey>")
  .asString();
```

```php Meeting notes_Get Meeting Artifacts_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.example.com/partner/meeting_notes/:saturn_ref_id/artifacts', [
  'headers' => [
    'Authorization' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Meeting notes_Get Meeting Artifacts_example
using RestSharp;

var client = new RestClient("https://api.example.com/partner/meeting_notes/:saturn_ref_id/artifacts");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Meeting notes_Get Meeting Artifacts_example
import Foundation

let headers = ["Authorization": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.example.com/partner/meeting_notes/:saturn_ref_id/artifacts")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```